routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => '', 'namespace' => 'Shop', 'as' => 'shop.'], function () {
    Route::get('/', 'ShopController@index')->name('index');
    // Route::get('/the-loai/{slugParent}/{slug}', 'ShopController@categoryList')->name('categorylist');
    Route::get('/san-pham/chi-tiet/{id}', 'ShopController@show')->name('detail');
    Route::get('/all-products', 'ShopController@allProducts')->name('allproducts');
    Route::get('/all-articles', 'ShopController@allArticles')->name('allarticles');
    Route::get('/bai-viet/{id}', 'ShopController@detailArticle')->name('detailarticle');
    // Route::get('/category-list/{name}_{id}', 'ShopController@categoryList')->name('categorylist');
    Route::group(['prefix' => 'Cart', 'as' => 'cart.', 'middleware' => ['auth']], function () {
        Route::post('/add-product-cart', 'ShopController@addProductToCart')->name('addproducttocart');
        Route::get('/gio-hang-cua-ban', 'ShopController@listCartProduct')->name('listcart');
        Route::post('/remove-item-cart', 'ShopController@removeItemCart')->name('removeitemcart');
        Route::post('/add-cart', 'ShopController@addCart')->name('addcart');
        Route::get('/ajax-show-cart', 'ShopController@ajaxShowCart')->name('ajaxshowcart');
        Route::get('/lich-su-giao-dich', 'ShopController@historyOrder')->name('historyorder');
    });
    Route::group(['prefix' => 'Info', 'as' => 'info.', 'middleware' => ['auth']], function () {
        Route::get('/thong-tin-tk', 'ShopController@showInfo')->name('showinfo');
        Route::post('/change/thong-tin-tk', 'ShopController@changeInfo')->name('changeinfo');
    });
    // Route::post('/comment/add/{slug}_{id}', 'ShopController@addComment')->name('addcomment');
    // Route::get('/about-us', 'ShopController@aboutUs')->name('about');
    // Route::get('/contact-us', 'ShopController@contactUs')->name('contact');
    // Route::post('/contact-us/add', 'ShopController@addContact')->name('addcontact');
});
Route::get('/login-admin', 'Admin\AdminController@loginAdmin')->name('loginadmin');
Route::group(['prefix' => 'admin', 'namespace' => 'Admin', 'as' => 'admin.', 'middleware' => ['checktype']], function () {
    Route::get('/', 'AdminController@index')->name('index');
    Route::group(['prefix' => 'categoryproduct', 'as' => 'categoryproduct.'], function () {
        Route::get('/', 'CategoryProductController@index')->name('list');
        Route::get('/add', 'CategoryProductController@create')->name('add');
        Route::post('/created', 'CategoryProductController@store')->name('created');
        Route::get('edit/{id}', 'CategoryProductController@edit')->name('edit');
        Route::post('/{id}', 'CategoryProductController@update')->name('update');
        Route::delete('/deletecate', 'CategoryProductController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'product', 'as' => 'product.'], function () {
        Route::get('/', 'ProductController@index')->name('list');
        Route::get('/add', 'ProductController@create')->name('add');
        Route::post('/created', 'ProductController@store')->name('created');
        Route::get('edit/{id}', 'ProductController@edit')->name('edit');
        Route::post('/{id}', 'ProductController@update')->name('update');
        Route::delete('/product/{id}', 'ProductController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ProductController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ProductController@UploadMultiple')->name('uploadimage');
    });

    Route::group(['prefix' => 'categoryarticle', 'as' => 'categoryarticle.'], function () {
        Route::get('/', 'CategoryArticleController@index')->name('list');
        Route::get('/add', 'CategoryArticleController@create')->name('add');
        Route::post('/created', 'CategoryArticleController@store')->name('created');
        Route::get('edit/{id}', 'CategoryArticleController@edit')->name('edit');
        Route::post('/{id}', 'CategoryArticleController@update')->name('update');
        Route::delete('/deletecate', 'CategoryArticleController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'article', 'as' => 'article.'], function () {
        Route::get('/', 'ArticleController@index')->name('list');
        Route::get('/add', 'ArticleController@create')->name('add');
        Route::post('/created', 'ArticleController@store')->name('created');
        Route::get('edit/{id}', 'ArticleController@edit')->name('edit');
        Route::post('/{id}', 'ArticleController@update')->name('update');
        Route::delete('/article/{id}', 'ArticleController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ArticleController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ArticleController@UploadMultiple')->name('uploadimage');
    });
     Route::group(['prefix' => 'order', 'as' => 'order.'], function () {
        Route::get('/', 'OrderController@index')->name('list');
        Route::get('/add', 'OrderController@create')->name('add');
        Route::post('/searchproductname', 'OrderController@searchProductName')->name('searchproductname');
        Route::post('/created', 'OrderController@store')->name('created');
        Route::get('edit/{id}', 'OrderController@edit')->name('edit');
        Route::post('/{id}', 'OrderController@update')->name('update');
        Route::delete('/deletecate', 'OrderController@destroy')->name('destroy');
    });
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/admin/product_management/category/create.blade.php
@extends('admin.layouts.master')
@section('content')
	<div class="container-fluid">

        <div class="card o-hidden border-0 shadow-lg my-5">
            <div class="card-body p-0">
                <!-- Nested Row within Card Body -->
                   @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="row">
                    <div class="col-lg-12">
                        <div class="p-5">
                            <div class="text-center">
                                <h1 class="h4 text-gray-900 mb-4">Create Category!</h1>
                            </div>
                            <form class="user" method="post" action="{{route('admin.categoryproduct.created')}}">
                                @csrf
                             
                                <div class="form-group">
                                    <input type="text" class="form-control form-control-user" id="" name="name"
                                           placeholder="Name">
                                </div>
                                <div class="form-group row">
                                    <legend class="col-form-label col-sm-2 pt-0">Status</legend>
                                    <div class="col-sm-10">
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="status" id="gridRadios1"
                                                   value="1" checked>
                                            <label class="form-check-label" for="gridRadios1">
                                                Show
                                            </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="status" id="gridRadios2"
                                                   value="2">
                                            <label class="form-check-label" for="gridRadios2">
                                               Hidden
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                            <hr>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection

resources/views/admin/product_management/category/list.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
    <!-- Page Heading -->
    <h1 class="h3 mb-2 text-gray-800">Categories</h1>
    <p class="mb-4"></p>

    <!-- DataTales Example -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Categories Table</h6>
        </div>
        <div class="card-header py-3">
            <div class="col-md-2">
                <a class="btn btn-success text-center" href="{{route('admin.categoryproduct.add')}}"
                   style="width: 100%;margin-bottom: 10px;">
                    Add </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Active</th>
                    
                        <th colspan="2">Control</th>
                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Active</th>
                       
                        <th colspan="2">Control</th>
                    </tr>
                    </tfoot>
                    <tbody>
                    @foreach($categories as $category)
                        <tr>
                            <td>{{$category->id}}</td>
                            <td>{{$category->name}}</td>
                            <td>@if($category->status == 1 )
                                    Show
                                @else
                                    Hidden
                                @endif</td>
                          
                            <td>
                                <a class="btn btn-primary"
                                   href="{{route('admin.categoryproduct.edit',['id'=>$category->id])}}">Update</a>
                            </td>
                        @if(isset($category->children[0]->name) || $category->product()->count() > 0)
                                <td></td>
                            @else
                                <td>
                                    <button type="button" class="btn btn-danger openModalDelete" data-toggle="modal"
                                            data-target="#exampleModalCenter" data-id="{{$category->id}}">
                                        Delete
                                    </button>
                                </td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row col-md-12 justify-content-center">
                {{ $categories->links() }}
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog"
         aria-labelledby="exampleModalCenterTitle" aria-hidden="true" data-keyboard="false" data-backdrop="static">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Nếu chắc chắn xóa vui lòng nhấn nút Delete <br>
                    <b style="color:#E02D1B;">Lưu ý khi xóa thể loại sẽ không thể phục hồi</b>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <form action="{{route('admin.categoryproduct.destroy')}}" method="POST">
                        @method('DELETE')
                        @csrf
                        <button class="btn btn-danger" id="idDelete" name="idDelete" value="">Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('scripts')
    <script type="text/javascript" charset="utf-8" async defer>
        $(document).on("click", ".openModalDelete", function () {
            var myBookId = $(this).data('id');
            $(".modal-content #idDelete").val(myBookId);
            $(".modal-content #exampleModalLongTitle").html('Bạn Chắc Chắn muốn xóa thể loại số ' + myBookId + ' chứ ?');
            // As pointed out in comments,
            // it is unnecessary to have to manually call the modal.
        });
    </script>

@endsection

resources/views/admin/product_management/category/update.blade.php
@extends('admin.layouts.master')
@section('content')
	  <div class="container">

    <div class="card o-hidden border-0 shadow-lg my-5">
      <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
           @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
        <div class="row">
          <div class="col-lg-12">
            <div class="p-5">
              <div class="text-center">
                <h1 class="h4 text-gray-900 mb-4">Update Category!</h1>
              </div>
              <form class="user" method="post" action="{{route('admin.categoryproduct.update',['id'=>$category->id])}}">
              	@csrf
                <div class="form-group">
                  <input type="text" class="form-control form-control-user" id="" name="name" placeholder="Name" value="{{isset($category) ? $category->name : '' }}">
                </div>
                <div class="form-group row">
                    <legend class="col-form-label col-sm-2 pt-0">Status</legend>
                     <div class="col-sm-10">
                        <div class="form-check">
                              <input class="form-check-input" type="radio" name="status" id="gridRadios1"
                                     value="1" @if( isset($category) && $category->status == 1 )
                                     checked
                                     @elseif(!isset($category))
                                     checked
                                      @endif>
                              <label class="form-check-label" for="gridRadios1">
                                  Show
                              </label>
                          </div>
                          <div class="form-check">
                              <input class="form-check-input" type="radio" name="status" id="gridRadios2"
                                     value="2" @if(isset($category) && $category->status == 2 )
                                     checked
                                      @endif>
                              <label class="form-check-label" for="gridRadios2">
                                 Hidden
                              </label>
                          </div>
                      </div>
                  </div>
                <div class="form-group">
                 <button type="submit" class="btn btn-primary">Update</button>
                </div>
              </form>
              <hr>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
@endsection